Retrieves sentinel predictions for an ESA channel within a date range
Use this endpoint to get Sentinel AI anomaly detection predictions for a specific channel.
Returns expected values and anomaly indicators for each interval within the specified date range.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| esaChannelId | Unique numeric identifier of the ESA channel | integer (int32) | Required |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| StartLocalDate | The start local date/time of the range for which predictions are requested. If equal to endLocalDate, returns sentinel prediction at this date and time (if present). Otherwise, returns sentinel predictions since this date and time (exclusive). | string (date-time) | Optional |
| EndLocalDate | The end local date/time of the range for which predictions are requested If equal to startLocalDate, returns sentinel prediction at this date and time (if present). Otherwise, returns sentinel predictions up to (and including) this date and time. | string (date-time) | Optional |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
EsaSentinelPredictionResponse
| Property | Description | Type |
|---|---|---|
| esaChannelId | Prediction’s channel ID | integer (int32) |
| estimatedLowerBound | The predicted estimated lower limit for this date/time. | number (double) |
| estimatedUpperBound | The predicted estimated upper limit for this date/time. | number (double) |
| estimatedValue | The predicted estimated value for this date/time. | number (double) |
| localDateTime | The local date and time of the prediction. Note that prediction entries will be rounded to hourly intervals. | string (date-time) |
| sourceModel | Details for the model that was used to generate the estimates for the date/time. This may be nothing more than a name assigned to the model (e.g. Facebook Prophet). | string |
| timeZoneTotalOffsetMinutes | Total offset minutes that the local date and time differ from UTC. | integer (int32) |
Example Response
[
{ "esaChannelId": 1, "estimatedLowerBound": 1.0, "estimatedUpperBound": 1.0, "estimatedValue": 1.0, "localDateTime": "2026-06-29", "sourceModel": "string", "timeZoneTotalOffsetMinutes": 1
}
]